petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatSeqSBAIJGetArray

gives access to the array where the data for a MATSEQSBAIJ matrix is stored

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqSBAIJGetArray(Mat A,PetscScalar **array)

Not Collective

### Input Parameter

mat -a MATSEQSBAIJ matrix

### Output Parameter

array -pointer to the data

### See Also

MatSeqSBAIJRestoreArray(), MatSeqAIJGetArray(), MatSeqAIJRestoreArray()

### Level

intermediate

### Location

src/mat/impls/sbaij/seq/sbaij.c

### Implementations

MatSeqSBAIJGetArray_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages